Skip to content
Newer
Older
100644 84 lines (78 sloc) 2.78 KB
60ffca5 @pwnall Regenerated gemspec for version 0.1.0
authored
1 # Generated by jeweler
2 # DO NOT EDIT THIS FILE DIRECTLY
3 # Instead, edit Jeweler::Tasks in Rakefile, and run the gemspec command
4 # -*- encoding: utf-8 -*-
5
6 Gem::Specification.new do |s|
7 s.name = %q{pwnbus-configdb}
8 s.version = "0.1.0"
9
10 s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
11 s.authors = ["Victor Costan"]
12 s.date = %q{2010-09-19}
13 s.description = %q{Dead-simple key-value store with atomic updates.}
14 s.email = %q{victor@costan.us}
15 s.extra_rdoc_files = [
16 "LICENSE",
17 "README.rdoc"
18 ]
19 s.files = [
20 ".document",
21 ".gitignore",
22 ".project",
23 "Gemfile",
24 "Gemfile.lock",
25 "LICENSE",
26 "README.rdoc",
27 "Rakefile",
28 "VERSION",
29 "lib/pwnbus/configdb.rb",
30 "lib/pwnbus/configdb/db.rb",
31 "lib/pwnbus/configdb/files.rb",
02ed34a @pwnall Regenerated gemspec for version 0.1.0
authored
32 "pwnbus-configdb.gemspec",
60ffca5 @pwnall Regenerated gemspec for version 0.1.0
authored
33 "spec/.rspec",
34 "spec/db_object_spec.rb",
35 "spec/db_spec.rb",
36 "spec/fixtures/db.yml",
37 "spec/spec_helper.rb"
38 ]
39 s.homepage = %q{http://github.com/pwnall/pwnbus_configdb}
40 s.require_paths = ["lib"]
41 s.rubygems_version = %q{1.3.7}
42 s.summary = %q{Pure-ruby database for configuration variables.}
43 s.test_files = [
44 "spec/db_object_spec.rb",
45 "spec/db_spec.rb",
46 "spec/spec_helper.rb"
47 ]
48
49 if s.respond_to? :specification_version then
50 current_version = Gem::Specification::CURRENT_SPECIFICATION_VERSION
51 s.specification_version = 3
52
53 if Gem::Version.new(Gem::VERSION) >= Gem::Version.new('1.2.0') then
54 s.add_development_dependency(%q<rspec>, [">= 2.0.0.beta.20"])
55 s.add_development_dependency(%q<bundler>, ["~> 1.0.0"])
56 s.add_development_dependency(%q<jeweler>, ["~> 1.5.0.pre3"])
57 s.add_development_dependency(%q<rcov>, [">= 0"])
58 s.add_development_dependency(%q<rspec>, [">= 2.0.0.beta.20"])
59 s.add_development_dependency(%q<bundler>, ["~> 1.0.0"])
60 s.add_development_dependency(%q<jeweler>, ["~> 1.5.0.pre3"])
61 s.add_development_dependency(%q<rcov>, [">= 0"])
62 else
63 s.add_dependency(%q<rspec>, [">= 2.0.0.beta.20"])
64 s.add_dependency(%q<bundler>, ["~> 1.0.0"])
65 s.add_dependency(%q<jeweler>, ["~> 1.5.0.pre3"])
66 s.add_dependency(%q<rcov>, [">= 0"])
67 s.add_dependency(%q<rspec>, [">= 2.0.0.beta.20"])
68 s.add_dependency(%q<bundler>, ["~> 1.0.0"])
69 s.add_dependency(%q<jeweler>, ["~> 1.5.0.pre3"])
70 s.add_dependency(%q<rcov>, [">= 0"])
71 end
72 else
73 s.add_dependency(%q<rspec>, [">= 2.0.0.beta.20"])
74 s.add_dependency(%q<bundler>, ["~> 1.0.0"])
75 s.add_dependency(%q<jeweler>, ["~> 1.5.0.pre3"])
76 s.add_dependency(%q<rcov>, [">= 0"])
77 s.add_dependency(%q<rspec>, [">= 2.0.0.beta.20"])
78 s.add_dependency(%q<bundler>, ["~> 1.0.0"])
79 s.add_dependency(%q<jeweler>, ["~> 1.5.0.pre3"])
80 s.add_dependency(%q<rcov>, [">= 0"])
81 end
82 end
83
Something went wrong with that request. Please try again.